Đến nội dung


Hình ảnh

Lisp thiết kế taluy trong Nova14


  • Please log in to reply
20 replies to this topic

#1 nataca

nataca

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 712 Bài viết
Điểm đánh giá: 553 (tốt)

Đã gửi 02 May 2009 - 12:13 PM

Mình lục lọi mấy "đồ nghề" của các bậc tiền bối thì thấy có cái này:

(defun C:D5 ()
(setq p (getpoint "\nChon phia ta luy can sua ..."))
(command "TL" P "1" "66.67" "")
)

(defun C:T6 ()
(setq p (getpoint "\nChon phia ta luy can sua ..."))
(command "TL" P "1" "6" "")
)
(defun C:T11 ()
(setq p (getpoint "\nChon phia ta luy can sua ..."))
(command "TL" P "1" "100" "")
)

(defun C:T5 ()
(setq p (getpoint "\nChon phia ta luy can sua ..."))
(command "TL" P "1" "-200" "")
)

(defun C:T7 ()
(setq p (getpoint "\nChon phia ta luy can sua ..."))
(command "TL" P "1" "-133.33" "")
)
(defun C:RX5 ()
(setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "0.01" "-200" "")
)

(defun C:RXa ()
(setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "0.01" "-6" "")
)

(defun C:RXb ()
(setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "0.01" "66.67" "")
)

(defun C:RXc ()
(setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "0.01" "6" "")
)

(defun C:RX ()
(setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "0.01" "-133.33" "")
)

(defun C:RC ()
(setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
)

(defun C:R ()
(setq p (getpoint "\nChon phia ta luy can TK ranh ..."))
(command "TL" P "0.3" "133.33" "0.4" "0" "0.3" "-133.33" "0.01" "-133.33" "")
)

(defun C:Rr ()
(setq p (getpoint "\nChon phia ta luy can TK ranh ..."))
(command "TL" P "0.3" "133.33" "0.4" "0" "0.3" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
)

(defun C:R5 ()
(setq p (getpoint "\nChon phia ta luy can TK ranh ..."))
(command "TL" P "0.3" "133.33" "0.4" "0" "0.3" "-133.33" "0.01" "-200" "")
)

(defun C:RdC ()
(setq
kc (getreal "\nKhoang cach tu vai duong toi taluy ranh : ")
p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P kc "66.67" "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
)

(defun C:RDB7 ()
(setq
kc (getreal "\nKhoang cach tu vai duong toi taluy ranh : ")
idoc 66.67;(getreal "\nDo doc ta luy (%): ")
p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P kc idoc "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "0.01" "-133.33" "")
)

(defun C:TDB5 ()
(setq p (getpoint "\nChon phia ta luy can dat cap ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "3" "-200" "2" "2" "0.01" "-200" "")
)

(defun C:TDB ()
(setq p (getpoint "\nChon phia ta luy can dat cap ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
)
(defun C:TDB2 ()
(setq p (getpoint "\nChon phia ta luy can dat cap ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
)

Đây là mấy lệnh thiết kế taluy nhanh trong Nova14. Tuy nhiên mình thử chạy ở trong Nova 14 thì cái lisp này ko có tác dụng j. Cũng có thể có một thiết lập nào đó trước mà mình chưa phát hiện ra. Anh em có ai dùng đến cái này rồi hướng dẫn hộ mình chút nhé :( . Cám ơn nhiều !
  • 0

#2 minhnghi

minhnghi

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 17 May 2009 - 09:31 PM

Mình lục lọi mấy "đồ nghề" của các bậc tiền bối thì thấy có cái này:


(defun C:D5 ()
(setq p (getpoint "\nChon phia ta luy can sua ..."))
(command "TL" P "1" "66.67" "")
)

(defun C:T6 ()
(setq p (getpoint "\nChon phia ta luy can sua ..."))
(command "TL" P "1" "6" "")
)
(defun C:T11 ()
(setq p (getpoint "\nChon phia ta luy can sua ..."))
(command "TL" P "1" "100" "")
)

(defun C:T5 ()
(setq p (getpoint "\nChon phia ta luy can sua ..."))
(command "TL" P "1" "-200" "")
)

(defun C:T7 ()
(setq p (getpoint "\nChon phia ta luy can sua ..."))
(command "TL" P "1" "-133.33" "")
)
(defun C:RX5 ()
(setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "0.01" "-200" "")
)

(defun C:RXa ()
(setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "0.01" "-6" "")
)

(defun C:RXb ()
(setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "0.01" "66.67" "")
)

(defun C:RXc ()
(setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "0.01" "6" "")
)

(defun C:RX ()
(setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "0.01" "-133.33" "")
)

(defun C:RC ()
(setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
)

(defun C:R ()
(setq p (getpoint "\nChon phia ta luy can TK ranh ..."))
(command "TL" P "0.3" "133.33" "0.4" "0" "0.3" "-133.33" "0.01" "-133.33" "")
)

(defun C:Rr ()
(setq p (getpoint "\nChon phia ta luy can TK ranh ..."))
(command "TL" P "0.3" "133.33" "0.4" "0" "0.3" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
)

(defun C:R5 ()
(setq p (getpoint "\nChon phia ta luy can TK ranh ..."))
(command "TL" P "0.3" "133.33" "0.4" "0" "0.3" "-133.33" "0.01" "-200" "")
)

(defun C:RdC ()
(setq
kc (getreal "\nKhoang cach tu vai duong toi taluy ranh : ")
p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P kc "66.67" "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
)

(defun C:RDB7 ()
(setq
kc (getreal "\nKhoang cach tu vai duong toi taluy ranh : ")
idoc 66.67;(getreal "\nDo doc ta luy (%): ")
p (getpoint "\nChon phia ta luy can gia co ranh ..."))
(command "TL" P kc idoc "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "0.01" "-133.33" "")
)

(defun C:TDB5 ()
(setq p (getpoint "\nChon phia ta luy can dat cap ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "3" "-200" "2" "2" "0.01" "-200" "")
)

(defun C:TDB ()
(setq p (getpoint "\nChon phia ta luy can dat cap ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
)
(defun C:TDB2 ()
(setq p (getpoint "\nChon phia ta luy can dat cap ..."))
(command "TL" P "0.5254" "133.33" "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
)

Đây là mấy lệnh thiết kế taluy nhanh trong Nova14. Tuy nhiên mình thử chạy ở trong Nova 14 thì cái lisp này ko có tác dụng j. Cũng có thể có một thiết lập nào đó trước mà mình chưa phát hiện ra. Anh em có ai dùng đến cái này rồi hướng dẫn hộ mình chút nhé :mellow: . Cám ơn nhiều !

Mình cũng đã xem qua mấy lisp này nhưng cũng thực sự chưa bít là nó dùng để làm gì, mình có xem mấy lisp vẽ taluy trong cad nhưng nó chưa được ổn lắm. Không bít bác nào rành thì chỉ giáo cho anh em xem phát nhẩy.
  • 0
- Gà con vẽ CAD -

#3 tucdrom

tucdrom

    — T — U — N — A —

  • Members
  • PipPipPipPipPipPip
  • 497 Bài viết
Điểm đánh giá: 642 (tốt)

Đã gửi 17 May 2009 - 11:07 PM

Mình lục lọi mấy "đồ nghề" của các bậc tiền bối thì thấy có cái này:
Đây là mấy lệnh thiết kế taluy nhanh trong Nova14. Tuy nhiên mình thử chạy ở trong Nova 14 thì cái lisp này ko có tác dụng j. Cũng có thể có một thiết lập nào đó trước mà mình chưa phát hiện ra. Anh em có ai dùng đến cái này rồi hướng dẫn hộ mình chút nhé :mellow: . Cám ơn nhiều !

Theo em Lisp này ko được ổn cho lắm.Khi thiết kế taluy cho 1 mặt cắt ngang bất kỳ thì Lisp này ko xoá đi được taluy cũ(taluy ban đầu Nova xuất ra bị lỗi) đi,mà nó thiết kế tiếp bắt đầu từ lề gia cố.
Em dùng mấy lệnh thiết kế taluy của Nova(DTD,DNTKTN,TL) cho lành vậy?Có bác nào dùng lisp này rồi cho em ý kiến phát coi.Next-->

  • 0

Email : anhtu2101@gmail.com



 


#4 nataca

nataca

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 712 Bài viết
Điểm đánh giá: 553 (tốt)

Đã gửi 18 May 2009 - 12:33 AM

Theo em Lisp này ko được ổn cho lắm.Khi thiết kế taluy cho 1 mặt cắt ngang bất kỳ thì Lisp này ko xoá đi được taluy cũ(taluy ban đầu Nova xuất ra bị lỗi) đi,mà nó thiết kế tiếp bắt đầu từ lề gia cố.
Em dùng mấy lệnh thiết kế taluy của Nova(DTD,DNTKTN,TL) cho lành vậy?Có bác nào dùng lisp này rồi cho em ý kiến phát coi.Next-->

Thực ra cái "ý" của lisp này thì mình hiểu. Nó thay cho thao tác gõ trên dòng command thôi. Cái này nếu dùng được thì sẽ rất nhanh, tiết kiệm công sức (ai đã từng làm nhiều về thiết kế taluy trắc ngang trong Nova 14 thì hiểu hơn ai hết sự cực nhọc và nhàm chán này). Tuy nhiên lệnh TL không phải là lệnh gốc của cad mà là lệnh của một ARX nên nó không cho phép "vô tư" như thế.
- Thứ nhất mình nghĩ đoạn lisp này muốn sử dụng được thì phải làm cách nào đó để lệnh TL được coi như lệnh gốc của cad.
- Thứ 2 là ta phải đi theo 1 hướng khác. Đó là khai thác Xdata của đối tượng thuộc Nova. Mỗi đối tượng trong Nova được quản lý bằng một Xdata riêng. Mình đang ngâm cứu để làm chủ được hết các dữ liệu mở rộng này. Giải quyết taluy chỉ là 1 góc nhỏ trong đó thôi.
  • 0

#5 Snowman

Snowman

    biết lệnh mirror

  • Members
  • PipPipPip
  • 155 Bài viết
Điểm đánh giá: 90 (tàm tạm)

Đã gửi 20 May 2009 - 11:43 PM

Chú Natasa! Chú lục lại đồ nghề của "tiền bối" thì cũng nên hỏi trực tiếp "tiền bối" chứ :mellow:
Mấy cái lisp này có "ý nghĩa lịch sử" của nó đấy, bọn anh dùng suốt mà !(anh tưởng hồi trước chú đã được truyền "bí kíp" này rồi chứ nhỉ :mellow: )
Mấy cái lisp này hiện đại lắm, chỉ dùng với Nova 2K trở lên thôi chú ạ!
Nova 2K cũng cho khai báo taluy dạng bất kỳ nhưng chỉ áp một loạt giống nhau là nhanh, ko cơ động bằng lisp.
Dùng lisp để rút ngắn một số lệnh của Nova 2K cũng tiện, nhưng nếu ko quen dùng sẽ ... fatal error ---> làm lại từ đầu :cheers:
Ps: Chú Natasa với mấy a e dạo này cày cuốc bận rộn lắm fải ko? :cheers:
  • 0

. - ' * ' - .. - ... "Sống trong đời sống cần có một tấm lòng..." . - ' * ' - .. -
-----------------------------------------------------------------------------------

Hình đã gửi Hình đã gửi


#6 hoangduy2912

hoangduy2912

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 May 2009 - 12:13 AM

Vẽ taluy...thật mệt mỏi và nhàm chán. Là công việc làm giảm sự yêu nghề...Bác nào có kinh nghiệm thì chia sẻ cho anh em đỡ vất vả đê
  • 0

#7 nataca

nataca

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 712 Bài viết
Điểm đánh giá: 553 (tốt)

Đã gửi 21 May 2009 - 12:18 PM

Chú Natasa! Chú lục lại đồ nghề của "tiền bối" thì cũng nên hỏi trực tiếp "tiền bối" chứ :mellow:
Mấy cái lisp này có "ý nghĩa lịch sử" của nó đấy, bọn anh dùng suốt mà !(anh tưởng hồi trước chú đã được truyền "bí kíp" này rồi chứ nhỉ :mellow: )
Mấy cái lisp này hiện đại lắm, chỉ dùng với Nova 2K trở lên thôi chú ạ!
Nova 2K cũng cho khai báo taluy dạng bất kỳ nhưng chỉ áp một loạt giống nhau là nhanh, ko cơ động bằng lisp.
Dùng lisp để rút ngắn một số lệnh của Nova 2K cũng tiện, nhưng nếu ko quen dùng sẽ ... fatal error ---> làm lại từ đầu :mellow:
Ps: Chú Natasa với mấy a e dạo này cày cuốc bận rộn lắm fải ko? :s_big:

Cám ơn bác, em cũng không để ý là nhà mình còn dùng cả Nova2k :mellow: . Tại vì cái khoá cứng Nova2k nhà mình nó ko ưa một số Main cộng với thi thoảng gây lỗi chết người nên em cho nó vào viện bảo tàng lâu rồi. Dùng Nova 14 cho ổn đinh. Hơn nữa có tool zoom chuột giữa và kết hợp 1 số lisp thì nó không thua Nova2k là mấy.
Ps: Dạo này cũng nhiều việc lắm bác ạ. Giá mà có các bác giúp 1 tay thì tốt biết mấy. À, trình Đế Chế và Fifa của bác lên chưa hum nào gặp gỡ nhể :cheers: , dạo này bác còn bị vợ càu nhàu vì thức đêm chơi game nữa ko :cheers:
  • 0

#8 BigBill

BigBill

    biết vẽ circle

  • Members
  • PipPip
  • 39 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 21 May 2009 - 02:18 PM

Dùng Nova 14 cho ổn đinh. Hơn nữa có tool zoom chuột giữa và kết hợp 1 số lisp thì nó không thua Nova2k là mấy.

Bác có thể chia sẻ với mọi người không?
  • 0

#9 ktsk80

ktsk80

    biết lệnh erase

  • Members
  • PipPipPip
  • 107 Bài viết
Điểm đánh giá: 27 (tàm tạm)

Đã gửi 22 May 2009 - 01:35 PM

Mình lục lọi mấy "đồ nghề" của các bậc tiền bối thì thấy có cái này:
...
Đây là mấy lệnh thiết kế taluy nhanh trong Nova14. Tuy nhiên mình thử chạy ở trong Nova 14 thì cái lisp này ko có tác dụng j. Cũng có thể có một thiết lập nào đó trước mà mình chưa phát hiện ra. Anh em có ai dùng đến cái này rồi hướng dẫn hộ mình chút nhé :mellow: . Cám ơn nhiều !


Mình không biết Nova 14, nhưng trong cad vẽ taluy không khó, nếu không muốn nói là quá dễ. Chẳng qua các bạn không để ý thôi. Thực ra, mình có thể viết một lip vẽ taluy cũng được nhưng vì việc vẽ đơn giản nên thôi không viết.
Bạn có thể làm thế này trong cad :
1- vẽ một taluy mẫu (gồm hai gạch ngắn và một gạch dài)
2- Tạo block tên là taluy, với điểm chen tại chân nét vẽ dài
3- gọi lệnh divider hoặc measure cũng được, với tùy chọn dấu chia là block taluy. thế là xong.
  • 0
Tớ nẫu đây ! Khà khà

#10 nataca

nataca

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 712 Bài viết
Điểm đánh giá: 553 (tốt)

Đã gửi 22 May 2009 - 02:07 PM

Mình không biết Nova 14, nhưng trong cad vẽ taluy không khó, nếu không muốn nói là quá dễ. Chẳng qua các bạn không để ý thôi. Thực ra, mình có thể viết một lip vẽ taluy cũng được nhưng vì việc vẽ đơn giản nên thôi không viết.
Bạn có thể làm thế này trong cad :
1- vẽ một taluy mẫu (gồm hai gạch ngắn và một gạch dài)
2- Tạo block tên là taluy, với điểm chen tại chân nét vẽ dài
3- gọi lệnh divider hoặc measure cũng được, với tùy chọn dấu chia là block taluy. thế là xong.

Hì. Hì bác không biết Nova 14 nên bác không biết được thiết kế mái taluy là đúng rồi. Cái bác vừa nói là rải taluy và cách rải của bác có thể làm nhanh hơn rất nhiều bằng lisp, hơn nữa chiều dài taluy ngắn và taluy dài có thể thay đổi đều chứ không chỉ cố định là 1 block.
Tool zoom chuột giữa của cad14 đã có trên diễn đàn rồi.
  • 0

#11 thaihoa123

thaihoa123

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 September 2009 - 11:39 PM

Hì. Hì bác không biết Nova 14 nên bác không biết được thiết kế mái taluy là đúng rồi. Cái bác vừa nói là rải taluy và cách rải của bác có thể làm nhanh hơn rất nhiều bằng lisp, hơn nữa chiều dài taluy ngắn và taluy dài có thể thay đổi đều chứ không chỉ cố định là 1 block.
Tool zoom chuột giữa của cad14 đã có trên diễn đàn rồi.


em vẫn dùng CAD14 nhưng tìm mãi cái tool zoom chuột giữa trên diễn đàn mà không thấy, các Bác có thể up lên diễn đàn được khỗng?
  • 0

#12 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 02 September 2009 - 12:15 AM

em vẫn dùng CAD14 nhưng tìm mãi cái tool zoom chuột giữa trên diễn đàn mà không thấy, các Bác có thể up lên diễn đàn được khỗng?

Diễn đàn có chức năng tìm kiếm. mình gõ từ khóa zoom cad14 1 phát là ra ngay. bạn làm thử 1 lần đi cho biết, lần sau đỡ fải hỏi. Ngay cả Google cũng rất dễ để tìm thấy nó chứ khó khăn gì đâu bạn?
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#13 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 05 November 2009 - 08:50 PM

Bác Nataca nghiên cứu cái này đã có kết quả gì chưa?
Trời ơi! em fát rồ vì đống trắc ngang này mất.
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#14 nataca

nataca

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 712 Bài viết
Điểm đánh giá: 553 (tốt)

Đã gửi 05 November 2009 - 09:22 PM

Bác Nataca nghiên cứu cái này đã có kết quả gì chưa?
Trời ơi! em fát rồ vì đống trắc ngang này mất.

Taluy dap:
6 66.666
Taluy dao ranh dat:
0.4 100 0.4 0 0.4 -100 1 -133.3333
Taluy dao ranh da:
0.7 100 0.64853 0 0.7 -100 1 -133.3333
Taluy ranh da Print
0.424264 0 0.4 100 0.4 0 0.4 -100 0.424264 0 1 -133.33333
đây là một đoạn trong file *.txt mà mình hay dùng để làm taluy. Khi thiết kế taluy Nova bắt "nhập đi nhập lại" nên mình viết sẵn các giai đoạn nhập để khi đánh lệnh TL thì mình copy đoạn code trên xuống dòng command. Với dạng taluy phức tạp thì dùng cái này mình thấy tiện.
Còn vấn đề viết lisp để thiết kế taluy thì mình đã thử. Nhưng chưa làm thế nào cho thằng Nova hiểu (dù đã thêm Xdata cho nó đầy đủ).
  • 2

#15 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 06 November 2009 - 09:18 PM

Taluy dap:
6 66.666
Taluy dao ranh dat:
0.4 100 0.4 0 0.4 -100 1 -133.3333
Taluy dao ranh da:
0.7 100 0.64853 0 0.7 -100 1 -133.3333
Taluy ranh da Print
0.424264 0 0.4 100 0.4 0 0.4 -100 0.424264 0 1 -133.33333
đây là một đoạn trong file *.txt mà mình hay dùng để làm taluy. Khi thiết kế taluy Nova bắt "nhập đi nhập lại" nên mình viết sẵn các giai đoạn nhập để khi đánh lệnh TL thì mình copy đoạn code trên xuống dòng command. Với dạng taluy phức tạp thì dùng cái này mình thấy tiện.
Còn vấn đề viết lisp để thiết kế taluy thì mình đã thử. Nhưng chưa làm thế nào cho thằng Nova hiểu (dù đã thêm Xdata cho nó đầy đủ).

Cách đây gần 1 tháng, Thiep cũng viết 1 lisp taluy giúp cho 1 thằng em làm nghề trắc đạc. Bây giờ mình đang đi công tác chỉ mang theo file taluy.fas. lệnh là tlu, chọn curve mái taluy, chọn curve chân taluy. OK
http://www.cadviet.c...pfiles/2/noname
Hình như upload không được thì phải ?
  • 0

#16 nataca

nataca

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 712 Bài viết
Điểm đánh giá: 553 (tốt)

Đã gửi 06 November 2009 - 10:10 PM

Cách đây gần 1 tháng, Thiep cũng viết 1 lisp taluy giúp cho 1 thằng em làm nghề trắc đạc. Bây giờ mình đang đi công tác chỉ mang theo file taluy.fas. lệnh là tlu, chọn curve mái taluy, chọn curve chân taluy. OK
http://www.cadviet.c...pfiles/2/noname
Hình như upload không được thì phải ?

Thiep hiểu sai rồi. đây là thiết kế taluy trên trắc ngang chứ không phải trên bình đồ. Nếu bạn ở bên chuyên ngành giao thông thuỷ lợi thì sẽ hiểu
  • 1

#17 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 06 November 2009 - 10:41 PM

Hay thật đấy bác Nataca ạ. Đúng là cái khó nó cái khôn. hiệu quả của cách làm này cũng không thua kém việc dùng lisp là mấy.
hị! em cảm ơn bác nhiều vì đã chia sẻ kinh nghiệm hay ho này :tongue2:
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#18 votanphu

votanphu

    biết vẽ spline

  • Members
  • PipPip
  • 93 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 03 December 2009 - 05:27 PM

Taluy dap:
6 66.666
Taluy dao ranh dat:
0.4 100 0.4 0 0.4 -100 1 -133.3333
Taluy dao ranh da:
0.7 100 0.64853 0 0.7 -100 1 -133.3333
Taluy ranh da Print
0.424264 0 0.4 100 0.4 0 0.4 -100 0.424264 0 1 -133.33333

đây là một đoạn trong file *.txt mà mình hay dùng để làm taluy. Khi thiết kế taluy Nova bắt "nhập đi nhập lại" nên mình viết sẵn các giai đoạn nhập để khi đánh lệnh TL thì mình copy đoạn code trên xuống dòng command. Với dạng taluy phức tạp thì dùng cái này mình thấy tiện.
Còn vấn đề viết lisp để thiết kế taluy thì mình đã thử. Nhưng chưa làm thế nào cho thằng Nova hiểu (dù đã thêm Xdata cho nó đầy đủ).

BÁC NATACA CÓ THỂ GỬI FILE TEXT ĐỂ ANH EM THAM KHAO DUOC KO
  • 0

#19 meohoang

meohoang

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 811 Bài viết
Điểm đánh giá: 342 (khá)

Đã gửi 03 December 2009 - 07:20 PM

Chú Natasa! Chú lục lại đồ nghề của "tiền bối" thì cũng nên hỏi trực tiếp "tiền bối" chứ :cheers:
Mấy cái lisp này có "ý nghĩa lịch sử" của nó đấy, bọn anh dùng suốt mà !(anh tưởng hồi trước chú đã được truyền "bí kíp" này rồi chứ nhỉ :blink: )
Mấy cái lisp này hiện đại lắm, chỉ dùng với Nova 2K trở lên thôi chú ạ!
Nova 2K cũng cho khai báo taluy dạng bất kỳ nhưng chỉ áp một loạt giống nhau là nhanh, ko cơ động bằng lisp.
Dùng lisp để rút ngắn một số lệnh của Nova 2K cũng tiện, nhưng nếu ko quen dùng sẽ ... fatal error ---> làm lại từ đầu :D

Bác Snowman xem lại theo ý mình thì các lisp này bỏ cái dòng getpoint đi chỉ lấy dòng command thôi và sau "TL" thay chữ P = chữ pause là ngon lành cho mà xem
  • 0

#20 tamakgl

tamakgl

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 November 2011 - 03:21 PM

Co pac nao co chuong trinh topo:tk xong trac doc+ngang ko cho minh xin voi.con topo2005 minh co chi lap duoc binh do,ve tuyen dang tao cong nam thi bi loi ko lam tiep duoc.pac nao co thi cho minh xin voi sdt cua minh 0906419569 (Tam) Thank!
  • 0